package ir.android_studio.preference;

import android.content.Context;
import android.content.SharedPreferences;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;

public class MainActivity extends AppCompatActivity {

    EditText edtName;
    EditText edtFamily;
    EditText edtAge;
    Button btnSave;
    Button btnRemove;
    Button btnClear;
    SharedPreferences shPref;
    public static final String MyPref = "MyPrefers";
    public static final String Name = "nameKey";
    public static final String Family = "familyKey";
    public static final String Age = "ageKey";

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        edtName = (EditText) findViewById(R.id.edt_name);
        edtFamily = (EditText) findViewById(R.id.edt_family);
        edtAge = (EditText) findViewById(R.id.edt_age);
        btnSave = (Button) findViewById(R.id.btn_save);
        btnRemove = (Button) findViewById(R.id.btn_remove);
        btnClear = (Button) findViewById(R.id.btn_clear);
        shPref = getSharedPreferences(MyPref, Context.MODE_PRIVATE);

        btnSave.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {

                String n = edtName.getText().toString();
                String f = edtFamily.getText().toString();
                int a = Integer.parseInt(edtAge.getText().toString());

                SharedPreferences.Editor sEdit = shPref.edit();
                sEdit.putString(Name, n);
                sEdit.putString(Family, f);
                sEdit.putInt(Age, a);
                sEdit.apply();

                Toast.makeText(MainActivity.this, "Saved", Toast.LENGTH_LONG).show();

            }
        });

        btnRemove.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {

                SharedPreferences.Editor rEdit = shPref.edit();
                rEdit.remove(Name);
                rEdit.remove(Family);
                rEdit.apply();

                Toast.makeText(MainActivity.this, "Removed!", Toast.LENGTH_LONG).show();

            }
        });

        btnClear.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {

                SharedPreferences.Editor cEdit = shPref.edit();
                cEdit.clear();
                cEdit.apply();

                Toast.makeText(MainActivity.this, "All data cleared!", Toast.LENGTH_LONG).show();

            }
        });

        if (shPref.contains(Name)) {
            edtName.setText(shPref.getString(Name, null));
        }

        if (shPref.contains(Family)) {
            edtFamily.setText(shPref.getString(Family, null));
        }

        if (shPref.contains(Age)) {
            edtAge.setText(String.valueOf(shPref.getInt(Age, 0)));
        }

    }
}
